Foreman - Refactor #13896
Builtin Roles badly named

02/25/2016 05:40 AM - Thomas Bétrancourt

Status: Closed

Priority: Normal

Assignee: Tomer Brisker

Category: Users, Roles and Permissions

Target version:

1.12.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3239
Description
Hello,

The default roles "Default user" and "Anonymous" should be named :

e Default user -> Role template
¢ Anonymous -> Default role

The main issue with these role names is that they are misleading.

Related issues:
Related to Foreman - Bug #9425: Remove Default user role which does not work

Related to foreman-tasks - Bug #14009: unable to seed since anonymous role no...

Related to Foreman - Refactor #994: The Role default_user is misleading

Closed
Closed
Rejected

02/18/2015
03/02/2016
06/17/2011

Associated revisions

Revision a2b3be55 - 03/02/2016 05:42 AM - Tomer Brisker

Fixes #13896 - Rename Anonymous role to Default role

History

#1 - 02/25/2016 05:41 AM - Dominic Cleal

- Category changed from Settings to Users, Roles and Permissions

I'd note too that the default user role apparently doesn't work (#9425).

#2 - 02/25/2016 08:26 AM - Tomer Brisker
- Status changed from New to Assigned

- Assignee set to Tomer Brisker

I'll rename Anonymous and remove the default user.

#3 - 02/25/2016 08:26 AM - Tomer Brisker

- Related to Bug #9425: Remove Default user role which does not work added

#4 - 02/25/2016 08:27 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3239 added

#5 - 03/02/2016 06:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/9425

- % Done changed from 0 to 100
Applied in changeset a2b3be55154e8392ca838a90613d55a8af9b930e.

#6 - 03/02/2016 06:03 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 03/02/2016 08:47 AM - Ohad Levy

- Related to Bug #14009: unable to seed since anonymous role no longer exists added

#8 - 03/15/2016 03:50 AM - Ohad Levy
- Related to Refactor #994: The Role default_user is misleading added
